WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Upgrade Else DIE

Aggresive way to tell IE6 users to upgrade OR ELSE!!!

This plugin is not for those who would like to give users the option of upgrading or viewing the site with their outdated browser. The plugin will detect if the browser is IE6 first. If they are using IE6, the plugin kills loading of your site and displays a warning message. The message reads as follows:

WARNING!
You are using Internet Explorer 6.0. Due to security risks associated with this outdated browser, as well as its noncompliance with WC3 standards, I have disabled access for all Internet Explorer 6.0 users.

I would love to share the content of this site with you, but unless you upgrade your browser, this is impossible. There are too many security risks posed by this outdated browser. Won't you please take a moment and upgrade—it's 100% free!

If you are at your place of employment and do not have access or permission to upgrade your browser, please contact your company's IT department and request an upgraded browser, which will keep your company's information safe and secure. Upgrading will also improve your overall browsing experience!

There will then be two buttons the user can choose: "No Thanks" and "Upgrade". If they choose the "Upgrade" button, they will be taken directly to Microsoft's IE upgrade page, where they can quickly upgrade to the latest version of IE. However, if they choose "No Thanks" then they will be taken to "CrashIE.com" out of pure spite. CrashIE.com uses a well known bug in IE to crash the browser and cause the user to have to restart it.

Tags: , , , ,

Requires: 2.7 or higher
Compatible up to: 2.7.1
Last Updated: 2009-3-3
Downloads: 571

Ratings

3 stars
3.7 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.